edu.msu.cme.rdp.multicompare

## Class MergeTaxonCount

- java.lang.Object
- - edu.msu.cme.rdp.multicompare.MergeTaxonCount

    public class MergeTaxonCount
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MergeTaxonCount()`

### Method Summary

Methods
`MultiClassifierResult` `getResult()`
`static void` `main(java.lang.String[] args)`
`void` `processOneHierBlock(java.util.ArrayList<java.lang.String[]> oneHierBlock)`
`void` `processOneHierFile(java.lang.String file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MergeTaxonCount

    public MergeTaxonCount()

### Method Detail

#### getResult

    public MultiClassifierResult getResult()

#### processOneHierFile

    public void processOneHierFile(java.lang.String file)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

#### processOneHierBlock

    public void processOneHierBlock(java.util.ArrayList<java.lang.String[]> oneHierBlock)
                             throws java.io.IOException

Throws:
  `java.io.IOException`

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`